.button {
  position: relative;
  padding: 1em 1.5em;
  border: none;
  background-color: transparent;
  cursor: pointer;
  outline: none;
  font-size: 18px;
  margin: 1em 0.8em;
  transition:all 0.3s ease-in-out;
  -moz-transition:all 0.3s ease-in-out;
  -webkit-transition:all 0.3s ease-in-out;
  text-align: center;
}
.button.type1 {
  color: red;
}
.button.type1.type1::after, .button.type1.type1::before {
  content: "";
  display:inline-block;
  position: absolute;
  width: 20%;
  height: 20%;
  border: 2px solid;
  border-radius: 2px;
  text-transform:uppercase;
  transition:all 0.3s ease-in-out;
  -moz-transition:all 0.3s ease-in-out;
  -webkit-transition:all 0.3s ease-in-out;
}
.button.type1.type1::after {
  bottom: 0;
  right: 0;
  border-top-color: transparent;
  border-left-color: transparent;
  border-bottom-color: red;
  border-right-color: red;
}
.button.type1.type1::before {
  top: 3;
  left: 3;
  border-bottom-color: transparent;
  border-right-color: transparent;
  border-top-color: red;
  border-left-color: red;
}
.button.type1.type1:hover:after, .button.type1.type1:hover:before {
  width: 100%;
  height: 100%;
}
.button.type2 {
  color: #16a085;
}
.button.type2.type2:after, .button.type2.type2:before {
  content: "";
  display: block;
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #16a085;
  transition: all 0.3s ease;
  transform: scale(0.85);
}
.button.type2.type2:hover:before {
  top: 0;
  transform: scale(1);
}
.button.type2.type2:hover:after {
  transform: scale(1);
}
.button.type3 {
  color: blue;
}
.button.type3.type3::after, .button.type3.type3::before {
  content: "";
  display: block;
  position: absolute;
  width: 20%;
  height: 20%;
  border: 2px solid;
  transition: all 0.6s ease;
  border-radius: 2px;
}
.button.type3.type3::after {
  bottom: 0;
  right: 0;
  border-top-color: transparent;
  border-left-color: transparent;
  border-bottom-color: blue;
  border-right-color: blue;
}
.button.type3.type3::before {
  top: 3;
  left: 3;
  border-bottom-color: transparent;
  border-right-color: transparent;
  border-top-color: blue;
  border-left-color: blue;
}
.button.type3.type3:hover:after, .button.type3.type3:hover:before {
  border-bottom-color: blue;
  border-right-color: blue;
  border-top-color: blue;
  border-left-color: blue;
  width: 100%;
  height: 100%;
}
.button.type4 {
  color: red;
}
.button.type4::after {
  content: "";
  display: block;
  position: absolute;
  height: 2px;
  width: 0;
  left: 0;
  background-color: red;
  transition: width 0.3s ease-in-out;
}
.button.type4::after {
  bottom: 0;
}
.button.type4:hover::after {
  width: 50px;
}
span a {
  color: #000000;
  text-decoration: none;
}
span .fa {
  color: #E90606;
  margin: 0 2px;
  font-size: 14px;
  animation: pound 0.35s infinite alternate;
  -webkit-animation: pound 0.35s infinite alternate;
}

@-webkit-keyframes pound {
  to {
    transform: scale(1.1);
  }
}
@keyframes pound {
  to {
    transform: scale(1.4);
  }
}
